Zum Hauptinhalt springen
POST
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
/
batch
/
upsert
Account-Flag-Status batchweise festlegen
curl --request POST \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/batch/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "portalStates": [
    {
      "portalId": 123
    }
  ]
}
'
{
  "portalFlagStates": [
    {
      "appId": 123,
      "flagName": "<string>",
      "portalId": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich

Die ID der App.

flagName
string
erforderlich

Der Name des Flags, entweder „hs-release-app-cards“ oder „hs-hide-crm-cards“.

Body

application/json
portalStates
object[]
erforderlich

Antwort

successful operation

portalFlagStates
object[]
erforderlich
Last modified on April 13, 2026